Merge Binary

classic Classic list List threaded Threaded
2 messages Options
plj
Reply | Threaded
Open this post in threaded view
|

Merge Binary

plj
I have written a processor that will take an image and tile it into 512x512 images.  I now want to write a processor to merge them back together again.  I see MergeContent and I would like to extend it.  
1st off does this seem reasonable?  If so:
I'm working in my own bundle  and my current hold up is I can't figure out how to put in the correct dependancy's in maven (nifi-mitre-bundle/mitre-nifi-processors/pom.xml)

I tried
<dependency>
  <groupId>org.apache.nifi</groupId>
  <artifactId>nifi-standard-bundle</artifactId>
   <version>0.3.0</version>
</dependency>

Maven couldn't find any of the references to from my MergeImageTiles to the MergeContent that it extends
[ERROR] /home/plj/nifi-0.3.0/nifi-mitre-bundle/nifi-mitre-processors/src/main/java/org/mitre/nifi/MergeImageTiles.java:[13,42] error: package org.apache.nifi.processors.standard does not exist



So I tried
<dependency>
  <groupId>org.apache.nifi</groupId>
  <artifactId>nifi-standard-processors</artifactId>
   <version>0.3.0</version>
</dependency>

this compiled but then wouldn't run as it looked for dependencies at RunTime

Thoughts?
Reply | Threaded
Open this post in threaded view
|

Re: Merge Binary

Joe Percivall
Hello,

Sorry no one responded to you earlier but are you still having trouble importing the maven dependencies? Some times when I'm having trouble if I run a maven call with "-u" (which forces an update of the dependencies) it resolves things when I believe there is nothing wrong.
 
Joe


- - - - - - Joseph Percivall
linkedin.com/in/Percivall
e: [hidden email]




On Friday, November 13, 2015 4:55 PM, plj <[hidden email]> wrote:
I have written a processor that will take an image and tile it into 512x512
images.  I now want to write a processor to merge them back together again.
I see MergeContent and I would like to extend it.  
1st off does this seem reasonable?  If so:
I'm working in my own bundle  and my current hold up is I can't figure out
how to put in the correct dependancy's in maven
(nifi-mitre-bundle/mitre-nifi-processors/pom.xml)

I tried
<dependency>
  <groupId>org.apache.nifi</groupId>
  <artifactId>nifi-standard-bundle</artifactId>
   <version>0.3.0</version>
</dependency>

Maven couldn't find any of the references to from my MergeImageTiles to the
MergeContent that it extends
[ERROR]
/home/plj/nifi-0.3.0/nifi-mitre-bundle/nifi-mitre-processors/src/main/java/org/mitre/nifi/MergeImageTiles.java:[13,42]
error: package org.apache.nifi.processors.standard does not exist



So I tried
<dependency>
  <groupId>org.apache.nifi</groupId>
  <artifactId>nifi-standard-processors</artifactId>
   <version>0.3.0</version>
</dependency>

this compiled but then wouldn't run as it looked for dependencies at RunTime

Thoughts?



--
View this message in context: http://apache-nifi-developer-list.39713.n7.nabble.com/Merge-Binary-tp4872.html
Sent from the Apache NiFi Developer List mailing list archive at Nabble.com.